#!/bin/sh

# The source here is entirely from an openssl-0.9.* distribution
# except for this file and openssl-0.9-patches.

set -x
set -e
ROOTMACH="$ROOT/$MACH"

./config

[ -f openssl-0.9-been-patched ] || {

# cause the install to go under $ROOTMACH
ed Makefile <<!
/^INSTALL_PREFIX=/s;.*;INSTALL_PREFIX=$ROOTMACH;
/set -x; LD_/i
	echo "$\$OBJS" | tr ' ' '\\012' >$\$i-objlist ; OBJS=$\$i-objlist ; \\
.
w
q
!
	patch -p1 -i openssl-0.9-patches
	date >openssl-0.9-been-patched
}

${MAKE-make} install build-shared

# need to get the shared libraries installed, too
SH_CRYPTO=`echo libcrypto.so.0.*`
SH_SSL=`echo libssl.so.0.*`

sh $INS 444 bin bin "$ROOTMACH/usr/lib/$SH_CRYPTO" "$SH_CRYPTO"
sh $INS 444 bin bin "$ROOTMACH/usr/lib/$SH_SSL" "$SH_SSL"

set +e
rm -f "$ROOTMACH/usr/lib/libcrypto.so" "$ROOTMACH/usr/lib/libcrypto.so.0"
ln -s "$ROOTMACH/usr/lib/$SH_CRYPTO" "$ROOTMACH/usr/lib/libcrypto.so"
ln -s "$ROOTMACH/usr/lib/$SH_CRYPTO" "$ROOTMACH/usr/lib/libcrypto.so.0"
rm -f "$ROOTMACH/usr/lib/libssl.so" "$ROOTMACH/usr/lib/libssl.so.0"
ln -s "$ROOTMACH/usr/lib/$SH_SSL" "$ROOTMACH/usr/lib/libssl.so"
ln -s "$ROOTMACH/usr/lib/$SH_SSL" "$ROOTMACH/usr/lib/libssl.so.0"
